Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002625Zandronum[All Projects] Bugpublic2016-02-10 03:072017-03-08 05:13
ReporterTribeam3rd 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002625: Interpolation Specials and Clientsided Cameras
DescriptionThe 'Interpolation Special' thing is a thing that calls an action special when the camera reaches it's 'Interpolation Point' with the same TID, this works fine in single player and serverside scripts, but clientside scripts are a different story.

When a 'Moving Camera' is activated clientside only, it works fine, until it reaches the 'Interpolation Special' and nothing happens...

Some gifs to demonstrate:
Whats suppose to happen:https://dl.dropboxusercontent.com/u/49758621/good.gif [^]
What happens in multi:https://dl.dropboxusercontent.com/u/49758621/bad.gif [^]

Steps To ReproduceIncluded is a test wad, just press the switch in singleplayer and multiplayer and watch the difference

Or just watch the gifs...
Attached Files? file icon camtest.wad [^] (6,725 bytes) 2016-02-10 03:07
? file icon camtest212.wad [^] (5,425 bytes) 2017-03-05 19:45

- Relationships

-  Notes
User avatar (0016732)
Torr Samaho (administrator)
2017-01-30 07:27

Unfortunately, the dropbox links are dead. Is the behavior any different in 2.1.2?
User avatar (0016943)
Torr Samaho (administrator)
2017-03-05 19:47

I added a 2.1.2 compatible version of the example wad. This camera panning worked in 2.1.2 (the stopping doesn't seem to work there), so this is a regression.
User avatar (0016945)
Torr Samaho (administrator)
2017-03-05 20:39
edited on: 2017-03-05 21:47

Looks like the problem started in 44214c3791c1ff50d1301a914e6db4a4dc25cbf3.

EDIT: And 0e94c4d68a1fdd0f4859f2a7952ef4688e00c32a caused additional complications.

User avatar (0016946)
Torr Samaho (administrator)
2017-03-05 21:54

The 3.0 regression part of the problem should be fixed now.
User avatar (0016949)
Ru5tK1ng (updater)
2017-03-06 05:31

With r170305, the camera doesn't stop online like it does offline.
User avatar (0016953)
Torr Samaho (administrator)
2017-03-06 07:03
edited on: 2017-03-06 19:45

The same happens in 2.1.2, right? So the regression part of the problem is fixed? Does it work if "clientside" is removed from the scripts?

User avatar (0016962)
Ru5tK1ng (updater)
2017-03-06 21:06

Removing clientside from the scripts seemed to fix the issue with the camera. In that case, I say this is resolved then.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-02-10 03:07 Tribeam3rd New Issue
2016-02-10 03:07 Tribeam3rd File Added: camtest.wad
2016-12-24 22:43 Dusk Target Version => 3.0
2017-01-30 07:27 Torr Samaho Note Added: 0016732
2017-01-30 07:27 Torr Samaho Status new => feedback
2017-03-05 19:45 Torr Samaho File Added: camtest212.wad
2017-03-05 19:47 Torr Samaho Note Added: 0016943
2017-03-05 20:39 Torr Samaho Note Added: 0016945
2017-03-05 21:47 Torr Samaho Note Edited: 0016945 View Revisions
2017-03-05 21:54 Torr Samaho Note Added: 0016946
2017-03-05 21:54 Torr Samaho Assigned To => Torr Samaho
2017-03-05 21:54 Torr Samaho Status feedback => needs testing
2017-03-06 05:31 Ru5tK1ng Note Added: 0016949
2017-03-06 07:03 Torr Samaho Note Added: 0016953
2017-03-06 07:06 Torr Samaho Note Edited: 0016953
2017-03-06 07:07 Torr Samaho Note Edited: 0016953
2017-03-06 19:45 Torr Samaho Note Edited: 0016953 View Revisions
2017-03-06 19:45 Torr Samaho Note Revision Dropped: 16953: 0010237
2017-03-06 19:45 Torr Samaho Note Revision Dropped: 16953: 0010238
2017-03-06 19:46 Torr Samaho Note Revision Dropped: 16953: 0010239
2017-03-06 21:06 Ru5tK1ng Note Added: 0016962
2017-03-08 05:13 Ru5tK1ng Status needs testing => resolved
2017-03-08 05:13 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker